<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Building Blocks</TITLE>
<link href="builder_4.html" rel=Next>
<link href="builder_2.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_2.html">previous</A>, <A HREF="builder_4.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC3" HREF="builder_toc.html#TOC3">Building Blocks</A></H2>
<P>
<A NAME="IDX7"></A>
<A NAME="IDX8"></A>
The builder uses the concept of <STRONG>building blocks</STRONG> to construct
code segments.  Each unit is a <CODE>block</CODE> (which is a C++ class), and
composition of multiple units will yield another <CODE>block</CODE>.  Thus a
complex code segment is represented by a <CODE>block</CODE> which is a
composition of smaller blocks.  After constructing the blocks, the
SUIF code is obtained by invoking a function to generate the
SUIF structures.

</P>
<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_2.html">previous</A>, <A HREF="builder_4.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
